<!DOCTYPE html>
<html lang="en">

<head>
    <title>Chesshire</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="A simple chess AI.">

    <!-- Bootstrap CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">

    <!-- Google Icons (Material Design) -->
    <link rel="stylesheet" href="https://fonts.googleapis.com/icon?family=Material+Icons" crossorigin="anonymous">

    <!-- Font Awesome -->
    <script src="https://kit.fontawesome.com/5b14db5f0b.js" crossorigin="anonymous"></script>

    <!-- jQuery -->
    <script src="https://code.jquery.com/jquery-3.5.1.js"
        integrity="sha256-QWo7LDvxbWT2tbbQ97B53yJnYU3WhH/C8ycbRAkjPDc=" crossorigin="anonymous">
        </script>

    <!-- Chessboard JS -->
    <link rel="stylesheet" href="https://unpkg.com/@chrisoakman/chessboardjs@1.0.0/dist/chessboard-1.0.0.min.css"
        integrity="sha384-q94+BZtLrkL1/ohfjR8c6L+A6qzNH9R2hBLwyoAfu3i/WCvQjzL2RQJ3uNHDISdU" crossorigin="anonymous">

    <script defer src="https://unpkg.com/@chrisoakman/chessboardjs@1.0.0/dist/chessboard-1.0.0.min.js"
        integrity="sha384-8Vi8VHwn3vjQ9eUHUxex3JSN/NFqUg3QbPyX8kWyb93+8AC/pPWTzj+nHtbC5bxD" crossorigin="anonymous">
        </script>

    <!-- Bootstrap JS -->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js"
        integrity="sha384-MrcW6ZMFYlzcLA8Nl+NtUVF0sA7MsXsP1UyJoMp4YLEuNSfAP+JcXn/tWtIaxVXM"
        crossorigin="anonymous"></script>

    <!-- Custom JS -->
    <script defer src="js/menu.js"></script>
    <script defer src="js/backgrounds.js"></script>
    <script defer src="js/chess.js"></script>
    <script defer src="js/main.js"></script>
    <script defer src="js/audio.js"></script>

    <!-- Custom CSS -->
    <link rel="stylesheet" href="./css/main.css">

    <!-- Font CSS -->
    <link rel="stylesheet" href="./fonts/fonts.css">
</head>

<body>

    <img class="smile" id="chesshireSmile" src="./img/backgrounds/Smile.png" alt="Chesshire Smile">
    <audio autoplay id="backgroundMusic">
        <source src="./audio/alice_returns.mp3" type="audio/mpeg">
    </audio>
    <main>
        <div class="container main-container">
            <button class="stopAudio"></button>
            <div id="instrCol" class="instr-column">
                <div class="instr-column-button">
                    <button class="instr-col-btn" id="instrButton">Instructions</button>
                </div>
                <div class="instr-column-text">
                    <h2>Pawn</h2>

                    <p>
                        <strong>The Pawn</strong>. Lowest in rank, but most devoted of them all. With unrelenting will
                        they march on attacking anyone who stands in their way.
                    </p>

                    <p>
                        <strong>The Pawns move only forward</strong> and can attack other
                        pieces <strong>diagonaly</strong> and <strong>within one square</strong> from them.
                    </p>

                    <p>
                        With the boost in morale form their battle Queen, they can move <strong>two squares instead
                            one</strong> when they
                        <strong>first</strong> take action.
                    </p>

                    <p>
                        Any Pawn can venture <strong>behind enemy lines</strong> and <strong>sacrifice
                            themselves</strong>
                        to bring the Queen back.
                    </p>

                    <h2>Knight</h2>

                    <p>
                        <strong>The Knights</strong>. Blessed by their Queen these <strong>two</strong> riders have
                        mastered mounted combat. Fast and agile,
                        they strike before their enemy has time to think.
                    </p>

                    <p>
                        Trained to pass by the infantry and attack from behing with incredible speed, the Knights move
                        in <strong>L shaped</strong> patterns on
                        the board: <strong>three in any direction</strong> and then <strong>one</strong> to the right or
                        to the left.
                    </p>
                    <p>
                        However, the Knights <strong>cannot move diagonaly</strong> from their position.
                    </p>

                    <h2>Bishop</h2>

                    <p>
                        <strong>The Bishops</strong>. Their faith gifts them with an unbreakable resolve in front of any
                        danger, but any God given gift comes with its curses... As it gifted them with resolve it drove
                        them into maddness and obsession.
                    </p>

                    <p>
                        As they spred their faith, the Bishops can <strong> move any number of squares</strong> , but
                        only <strong>diagonaly</strong> from
                        their position. They have also become obsessed with the color of their square, being
                        <strong>unable to move to a square of a different color</strong> from the one they start in.
                    </p>

                    <h2>Rook</h2>

                    <p>
                        <strong>The Rooks</strong>. Walking fortresses dedicated to keeping their king safe.
                    </p>
                    <p>
                        The Rooks can move <strong>Any number of squares</strong>, but they are
                        <strong>not allowed to move diagonaly</strong>.
                    </p>

                    <h2>Queen</h2>

                    <p>
                        <strong>The Queen</strong>. As strong as she is beautiful, she devotes herself to her king
                        protecting and caring for him as a mother would her child.
                    </p>

                    <p>
                        Acting as general of the kings army, she is the most versatile and most powerful of the pieces.
                        She can <strong>move in any direction</strong>, <strong>including diagonaly</strong>, for
                        <strong>any number</strong> of squares.
                    </p>

                    <p>
                        Being the most powerful is not always a blessing, as she is often the first target of the
                        enemy's attacks. Be careful where you send you Queen.
                    </p>

                    <h2>King</h2>

                    <p>
                        <strong>The King</strong>. Forced to take the throne after having to witness his father perish
                        in an unfortunate accident, he stands behind his army, guiding them with his uncanny tactical skills and intelect.
                        Wispers in the streets claim that he caused his father's accident on purpose... and even if he did, there is no way to prove it.
                    </p>

                    <p>
                        Not having the training or experience of his mother, the King can only <strong>move one square in any direction</strong> around him.
                        In some cases the King can move <strong>two squares towards one of his Rooks</strong> an call for their aid, <strong>as long as neither of them moved before</strong>.
                        This move is called <strong>castling</strong> and it can only be done if the <strong>king is not under attack</strong> and <strong>there no othe units</strong> between the King and the Rook.
                    </p>

                </div>
            </div>
            <div class="row align-items-center main-menu-container" id="mainMenuCont">
                <div class="main-menu-cont-col col-12 text-align-center ">
                    <h1 class="title text-shadow">Chesshire's Game</h1>

                    <label for="playerName" class="hidden text-shadow" id="nameInputField">
                        <input class="" type="text" id="playerName" placeholder="Insert player name">
                    </label>

                    <div class="accordion hidden" id="accordion">
                        <div id="settings" class="accordion-item">
                            <h2 class="accordion-header" id="headingOne">
                                <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse"
                                    data-bs-target="#collapseOne" aria-expanded="true" aria-controls="collapseOne">
                                    Settings
                                </button>
                            </h2>
                            <div id="collapseOne" class="accordion-collapse collapse" aria-labelledby="headingOne"
                                data-bs-parent="#accordion">
                                <div class="accordion-body">
                                    <div class="row align-items-center justify-content-center">
                                        <div class="form-group">
                                            <label for="search-depth">Search Depth (Black):</label>
                                            <select id="search-depth">
                                                <option value="1">1</option>
                                                <option value="2">2</option>
                                                <option value="3" selected>3</option>
                                                <option value="4">4</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="row align-items-center justify-content-center">
                                        <div class="form-group">
                                            <label for="search-depth-white">Search Depth (White):</label>
                                            <select id="search-depth-white">
                                                <option value="1">1</option>
                                                <option value="2">2</option>
                                                <option value="3" selected>3</option>
                                                <option value="4">4</option>
                                            </select>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div id="openingPositionsHeading" class="accordion-item">
                            <h2 class="accordion-header" id="headingTwo">
                                <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse"
                                    data-bs-target="#collapseTwo" aria-expanded="false" aria-controls="collapseTwo">
                                    Opening Positions
                                </button>
                            </h2>
                            <div id="collapseTwo" class="accordion-collapse collapse" aria-labelledby="headingTwo"
                                data-bs-parent="#accordion">
                                <div class="accordion-body buttons-accordion">
                                    <div class="text-align-center">
                                        <div>
                                            <button class=" btn-bottom-options" id="ruyLopezBtn">Ruy Lopez</button>
                                        </div>
                                        <div>
                                            <button class=" btn-bottom-options" id="italianGameBtn">Italian
                                                Game</button>
                                        </div>
                                    </div>
                                    <div class="text-align-center">
                                        <div>
                                            <button class=" btn-bottom-options" id="sicilianDefenseBtn">Sicilian
                                                Defense</button>
                                        </div>
                                        <div>
                                            <button class=" btn-bottom-options" id="startBtn">Start Position</button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div id="compVsCompHeading" class="accordion-item">
                            <h2 class="accordion-header" id="headingThree">
                                <button class="accordion-button collapsed" id="compVsCompMenuBtn" type="button"
                                    data-bs-toggle="collapse" data-bs-target="#collapseThree" aria-expanded="true"
                                    aria-controls="compVsComp">
                                    Computer vs. Computer
                                </button>
                            </h2>
                            <div id="collapseThree" class="accordion-collapse collapse" aria-labelledby="headingThree"
                                data-bs-parent="#accordion">
                                <div class="accordion-body">
                                    <button class="btn-main-menu" id="compVsCompBtn">Watch Game</button>
                                </div>
                            </div>
                        </div>
                    </div>

                    <button class="btn-main-menu" id="playGame">Play</button>
                    <button class="btn-main-menu" id="settingsBtn">Settings</button>

                </div>
            </div>

            <div class="game-container row container-fluid align-items-center hide" id="gameContainer">
                <div id="infoCol" class="info-column">
                    <div class="info-column-button">
                        <button class="info-col-btn" id="infoButton">Info</button>
                    </div>
                    <div class="status-section text-align-center">
                        <h2 class="title">Status</h2>
                        <p><span id="status">No check, checkmate, or draw.</span></p>
                    </div>
                    <div class="position-section">
                        <h2 class="title">Positions</h2>
                        <p><span id="position-count">0</span>&nbsp positions evaluated in &nbsp<span
                                id="time">0</span>s.</p>
                        <p>That's &nbsp<span id="positions-per-s">0</span>&nbsp positions /s.</p>
                    </div>
                    <div class="hint-section form-group">
                        <h2 class="title">Hint</h2>
                        <label for="showHint">
                            <input type="checkbox" id="showHint" name="showHint" value="showHint"> Show Suggested Move
                            (White)
                        </label>
                    </div>
                    <div class="advantage-section">
                        <h2 class="title">Advantage</h2>
                        <p><span id="advantageColor">Neither side</span> has the advantage
                            (+<span id="advantageNumber">0</span>).</p>
                        <div class="progress">
                            <div class="progress-bar bg-primary progress-bar-striped progress-bar-animated"
                                role="progressbar" aria-valuenow="0" style="width: 50%" aria-valuemin="-2000"
                                aria-valuemax="4000" id='advantageBar'>
                            </div>
                        </div>
                    </div>
                    <div id="compVsComp" aria-labelledby="compVsCompHeading">
                        <button class="btn-bottom-options" id="resetBtn">Stop and Reset</button>
                    </div>
                </div>

                <div id="gameCol" class="my-2 col-md-6 offset-md-2 col-sm-12 game-column">
                    <div id="myBoard"></div>
                    <div class="bottom-buttons" text-align-center>
                        <div class="undo-redo">

                            <button class="btn-bottom-options" id="undoBtn">Undo</button>
                            <button class="btn-bottom-options" id="redoBtn">Redo</button>

                        </div>

                        <button class="btn-bottom-options" id="backToMenu">Back to Menu</button>

                    </div>
                </div>
            </div>
        </div>
    </main>
</body>

</html>